<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../class/checkMember.php';
    
       // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

    $database = new Database();
    $db = $database->getConnection();

    

    $item = new checkMember($db);

    $item->Mobile = isset($_GET['Mobile']) ? $_GET['Mobile'] : die();
  
    $item->checkMember();

  

    if($item->Mobile != null){
        
      
        http_response_code(200);
        $response['error'] = false; 
        $response['message'] = 'success'; 
        echo json_encode($response);
    }
      
    else{
        http_response_code(404);
        $response['error'] = true; 
        $response['message'] = 'invalid phone number,try again.'; 
        echo json_encode($response);
        

       
             
    }

    
    


    
?>