<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
    include_once '../config/database.php';
    include_once '../class/orders.php';
    
    $database = new Database();
    $db = $database->getConnection();
    
    $item = new Orders($db);
    
    $data = json_decode(file_get_contents("php://input"));
    
      // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

 

   
    $emp_arr = array(
    $item->customerID = $data->customerID,
    $item->tdatetime = $data->tdatetime,
    $item-> deliveryoptionID = $data-> deliveryoptionID,
    $item->deliveryregionID = $data->deliveryregionID,
    $item->Postaladdress = $data->Postaladdress,
    $item->totalweight = $data->totalweight,
    $item->total = $data->total,
    $item->salestax = $data->salestax,);
  
    if($item->postTransaction()){

        http_response_code(200);
        $response['error'] = false; 
        $response['message'] = 'transaction posted successsfully ';
        $response['data'] = $emp_arr;
        echo json_encode($response);
     
    } else{                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
        http_response_code(500);
        $response['error'] = true; 
        $response['message'] = 'transaction could not be posted,try again.'; 
        echo json_encode($response);
    }


?>