<?php
    class SubCategory{

        // Connection
        private $conn;

        // Table
        private $db_table = "subcategory";

        // Columns
        public $ID;
        public $description;
        public $longdescription;
        public $cost;
        public $price;
        public $saleprice;
        public $quantity;
        public $departmentID;
        public $categoryID;
        public $image;
        
        
         // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    

        // GET transactions
        public function getSubCategory(){           
        
            $sqlQuery = "SELECT
            a.ID,a.description,a.longdescription,a.cost,a.price,a.saleprice,a.quantity,a.departmentID,a.categoryID,b.pic1 as image FROM item a,itemimages b WHERE b.itemID=a.ID and departmentID=?";
             
              
            $stmt = $this->conn->prepare($sqlQuery);

            $stmt->bindParam(1, $this->departmentID);
            
              
        
            $stmt->execute();

            return $stmt;
            
           
        }    
    }    

        ?>

