<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
    include_once '../config/database.php';
    include_once '../class/orders.php';
    
    $database = new Database();
    $db = $database->getConnection();
    
    $item = new Orders($db);
    
    $data = json_decode(file_get_contents("php://input"));

 
   
    $emp_arr = array(
    $item->transactionID = $data->transactionID,
    $item->itemID = $data->itemID,
    $item-> cost = $data-> cost,
    $item->price = $data->price,
    $item->fullprice = $data->fullprice,
    $item->quantity = $data->quantity,
    $item->salestax = $data->salestax,
    $item->synced = $data->synced,);
  
    if($item->postTransactionEntry()){

        http_response_code(200);
        $response['error'] = false; 
        $response['message'] = 'transaction entry posted successsfully ';
        $response['data'] = $emp_arr;
        echo json_encode($response);
     
    } else{                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
        http_response_code(500);
        $response['error'] = true; 
        $response['message'] = 'transaction entry could not be posted,try again.'; 
        echo json_encode($response);
    }


?>