<?php
    class SubCategoryItem{

        // Connection
        private $conn;

        // Table
        private $db_table = "item";

        // Columns
        public $ID;
        public $ItemLookupCode;
        public $Description;
        public $SubCategoryID;
        public $CategoryID;
        public $DepartmentID;
        public $StoreID;
        public $BinLocation;
        public $Price;
        public $UnitOfMeasure;
        public $Packs;
        public $PacksUnitofMeasure;
        public $Weight;
        public $SupplierID;
        public $ExtendedDescription;

         // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    

        // GET transactions
        public function getItem(){           
        
            $sqlQuery = "SELECT
            ID,ItemLookupCode,Description,DepartmentID,SubCategoryID,CategoryID,StoreID,BinLocation,Price,UnitOfMeasure,Packs,PacksUnitofMeasure,Weight,SupplierID,ExtendedDescription FROM  item WHERE SubCategoryID=?";
             
              
            $stmt = $this->conn->prepare($sqlQuery);

            $stmt->bindParam(1, $this->DepartmentID);
              
        
            $stmt->execute();

            return $stmt;

        

           
        }    
    }    

        ?>

