<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../class/orderDetails.php';

    $database = new Database();
    $db = $database->getConnection();   
    $items = new CustomerOrdersDetails($db);
    $items->transactionID= isset($_GET['transactionID']) ? $_GET['transactionID'] : die();

  
    $stmt = $items->getCustomerOrdersDetails();
    $itemCount = $stmt->rowCount();

  

    if($itemCount > 0){
        
        $employeeArr = array();
        
        $total = 0;

   
    
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "transactionID" => $transactionID,
                "itemID" => $itemID,
                "cost" => $cost,
                "price" => $price,
                "fullprice" => $fullprice,
                "quantity" => $quantity,
               
            );

           
            array_push($employeeArr, $e);
        }
        echo json_encode($employeeArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>
