<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
    include_once '../config/database.php';
    include_once '../class/orders.php';
    
    $database = new Database();
    $db = $database->getConnection();
    
    $item = new Orders($db);
    
    $data = json_decode(file_get_contents("php://input"));

 

   
    $emp_arr = array(
    $item->ID = $data->ID,
    $item->customerID = $data->customerID,
    $item->tdatetime = $data->tdatetime,
    $item-> deliveryoptionID = $data-> deliveryoptionID,
    $item->deliveryregionID = $data->deliveryregionID,
    $item->Postaladdress = $data->Postaladdress,
    $item->totalweight = $data->totalweight,
    $item->total = $data->total,
    $item->salestax = $data->salestax,);
    
    
    
  
    if($item->postTransaction()){
        http_response_code(200);
        $response['error'] = false; 
        $response['message'] = 'transaction posted successsfully ';
        $response['TrnId'] = $data->ID;
  
        echo json_encode($response);  
       
    } else{                                                                     http_response_code(500);
        $response['error'] = true; 
        $response['message'] = 'transaction could not be posted,try again.'; 
        echo json_encode($response);                                                                                          
        
    }


?>